
.hamburger{
    background: #2febd0;
    opacity: 80%;
    color: #ccc;
    display: none;
    position: fixed;
    top: 15px;
    right: 15px; 
    margin: 0;
    padding: 0;
    width: 42px;
    height: 42px;
    font-size: 0;
    box-shadow: none;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.3s;
    &:focus{
        outline: none;
    }
    span {
        display: block;
        position: absolute;
        width: 30px;
        height: 3px;
        background: #ff3264;
        &::before, &::after{
            position: absolute;
            display: block;
            left: 0;
            width: 100%;
            height: 3px;
            background-color: #ff3264;
            content: "";
        }
        &::before{
            top: -10px;
        }
        &::after{
            bottom: -10px;
        }
    }
    &__arrtoleft{
        span {
            background-color: #1c1c1c;
            
            transition: transform 0.3s;
            &::before, &::after{
                background-color: #1c1c1c;
            }
            &::before{
                transform-origin: top right;
                transition: transform 0.3s, width 0.3s, top 0.3s;
            }
            &::after{
                transform-origin: bottom right;
                transition: transform 0.3s, width 0.3s, bottom 0.3s;
            }
        }
    }
    &__arrtoleft-active span{
        background-color: #1a1a1a;
        -webkit-transform: rotate(180deg);
        transform: rotate(180deg);
        &::before, &::after{
            background-color: #1a1a1a;
            width: 50%;
        }
        &::before{
            top: 0;
            transform: translateX(15px) translateY(-1px) rotate(-45deg);
        }
        &::after{
            bottom: 0;
            transform: translateX(15px) translateY(0px) rotate(45deg);
        }
    }
    
}



.navigation{
    position: fixed;
    top: 0;
    width: 65px;
    height: 100vh;
    background: #17d396;
    opacity: 80%;
    transition: .3s;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    &_active{
        width: 300px;
    }
    
    &__list{
        overflow: hidden;
        padding: 70px 0 0;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        &-item{
            position: relative;
            width: 100%;
            list-style: none;
        }
    }
    a{
        position: relative;
        display: block;
        width: 100%;
        display: flex;
        text-decoration: none;
        color: #0a0a0a;
        i{
            font-size: 24px;
        }
    }
    &__icon{
        position: relative;
        display: block;
        min-width: 60px;
        height: 60px;
        line-height: 60px;
        text-align: center;
    }
    &__title{
        position: relative;
        display: block;
        padding: 0 10px;
        height: 60px;
        line-height: 60px;
        text-align: start;
        text-transform: uppercase;
        font-weight: 700;
        white-space: nowrap;
    }
}
.wrap{
    position: relative;
}
.toggle{
    position: absolute;
    top: calc(50% - 15px);
    right: -15px;
    width: 30px;
    height: 30px;
    background: #17d396;
    cursor: pointer;
    border: 3px solid #1a1a1a;
    border-radius: 50%;
    &::before{
        content: '\f0da';
        font-family: fontAwesome;
        width: 100%;
        height: 100%;
        line-height: 15px;
        text-align: center;
        font-size: 30px;
        position: relative;
        top: 5px;
        left: 8px;
        color: #1a1a1a;
        
    }
    &_active::before{
        content: '\f0d9';
        left: 4px;
    }
    
}
.promo{
    background: url('../img/promo_bg.jpg') center (center/cover) no-repeat;
    height: 100vh;
    padding: 16vh 0 0;
    
    &__inner{
        background-color: #313741;
        opacity: .6;
    }
    &__menu{
        width: 1140px;
        margin: 0 auto;
        display: flex;
        list-style-type: none;
        justify-content: space-between;
        padding: 15px 0;

        &-item{
            
            cursor: pointer;
            
            color: #00d7bb;
            
            transition: all .3s;
            a{
                text-transform: uppercase;
                color: #00d7bb;
                font-size: 15px;
                font-weight: 700;
                text-decoration: none;
            }
            &:hover{
                text-shadow: 0px 0px 8px rgba(150, 150, 150, 1);
                color: #fff;
            }
        }
    }
    &__title{
        line-height: 120px;
        color: #2b2c2e;
        font-size: 120px;
        font-weight: 300;
        text-align: end;
    }
    &__subtitle{
        font-size: 84px;
        color: #2b2c2e;
        font-weight: 300;
        text-align: end;
        span{
            font-weight: 700; 
        }
    }
    &__text{
        margin-top: 9px;
        font-size: 28px;
        font-weight: 400;
        color: #2b2c2e;
        text-align: end;
    }
}

